## helm template

Locally render templates

### Synopsis


Render chart templates locally and display the output.

This does not require Tiller. However, any values that would normally be
looked up or retrieved in-cluster will be faked locally. Additionally, none
of the server-side testing of chart validity (e.g. whether an API is supported)
is done.

To render just one template in a chart, use '-x':

	$ helm template mychart -x templates/deployment.yaml


```
helm template [flags] CHART
```

### Options

```
  -x, --execute stringArray      Only execute the given templates
  -h, --help                     help for template
      --is-upgrade               Set .Release.IsUpgrade instead of .Release.IsInstall
      --kube-version string      Kubernetes version used as Capabilities.KubeVersion.Major/Minor (default "1.14")
  -n, --name string              Release name (default "release-name")
      --name-template string     Specify template used to name the release
      --namespace string         Namespace to install the release into
      --notes                    Show the computed NOTES.txt file as well
      --output-dir string        Writes the executed templates to files in output-dir instead of stdout
      --set stringArray          Set values on the command line (can specify multiple or separate values with commas: key1=val1,key2=val2)
      --set-file stringArray     Set values from respective files specified via the command line (can specify multiple or separate values with commas: key1=path1,key2=path2)
      --set-string stringArray   Set STRING values on the command line (can specify multiple or separate values with commas: key1=val1,key2=val2)
  -f, --values valueFiles        Specify values in a YAML file (can specify multiple) (default [])
```

### Options inherited from parent commands

```
      --debug                           Enable verbose output
      --home string                     Location of your Helm config. Overrides $HELM_HOME (default "~/.helm")
      --host string                     Address of Tiller. Overrides $HELM_HOST
      --kube-context string             Name of the kubeconfig context to use
      --kubeconfig string               Absolute path of the kubeconfig file to be used
      --tiller-connection-timeout int   The duration (in seconds) Helm will wait to establish a connection to Tiller (default 300)
      --tiller-namespace string         Namespace of Tiller (default "kube-system")
```

### SEE ALSO

* [helm](helm.md)	 - The Helm package manager for Kubernetes.

###### Auto generated by spf13/cobra on 17-Jun-2019
